MainBossRemote System Requirements

This help file applies to an out-of-date version of MainBoss.
The most recent version of MainBoss is MainBoss 4.2.2.
For the latest version of this help file can be found here.

< Previous section  |  Table of Contents  |  Index  |  Next section >

MainBossRemote is an ASP.NET web application which must run on a Windows system. This means that the web site used by MainBossRemote must be hosted on a Windows system and must use the IIS web server.

We recommend that you use IIS 7 or IIS 7.5 running on either Windows Server 2008 (with Service Pack 2 or later) or R2.

IIS 6 on Windows Server 2003: This version of MainBoss requires .NET 4. Microsoft has stated that .NET 4 web applications will run under IIS 6 on Windows Server 2003. However, getting such applications up and running is so technically difficult that Thinkage will not attempt to give guidance on the process. Thinkage will provide support for any problems that you might run into with MainBoss after you get it running successfully with IIS 6—we will support Thinkage software—but we cannot support the initial installation or configuration process, due to all the complications with Microsoft software.

Thinkage does not support the installation of MainBossRemote on the workstation versions of Windows XP, Windows Vista or Windows 7.

Whatever version of IIS and Windows you use, you should use Windows Update to keep the software up to date.

See Also:

< Previous section  |  Table of Contents  |  Index  |  Next section >